function foxfm_stadium(document)
{
	try 
	{
		var addOverallPrices	= prefBranchOFMFunctionSettings.get("stadium.addOverallPrices");

		if(document.location.href.match("010_stadion/stadion.php") && addOverallPrices) 
		{
			infoMessage(2, "foxfm_stadium(): start");

			var allTables					= document.getElementsByTagName("table");
			var searchStringStadiumTable	= /Stadionname\s*\S*ndern/;
			var stadiumTableNo				= getTableNumber(document, searchStringStadiumTable);
			var stadiumTableCol				= getColumnNumber(document, searchStringStadiumTable);
			var stadiumTableRow				= getRowNumber(document, searchStringStadiumTable);
			
			allTables[stadiumTableNo].rows[stadiumTableRow].insertCell(stadiumTableCol);
			
			var overallPriceLeague			= prefBranchOFMFunctionSettings.get("stadium.overallPriceLeague");
			var overallPriceFriendly		= prefBranchOFMFunctionSettings.get("stadium.overallPriceFriendly");
			var overallPriceCup				= prefBranchOFMFunctionSettings.get("stadium.overallPriceCup");
			var newTable 					= createTable(document, "dsR1", 0, 1);

			var newRowOverallLeaguePrice	= createRowStadiumPrice(document, "ddOverallLeaguePrice", "Allg. Liga Eintrittspreis", null, overallPriceLeague, "<font color=\"black\">Liga:</font>");
			var newRowOverallFriendlyPrice	= createRowStadiumPrice(document, "ddOverallFriendlyPrice", "Allg. Freundschaftsspiel Eintrittspreis", null, overallPriceFriendly, "<font color=\"black\">Freundschaftsspiel:</font>");
			var newRowOverallCupPrice		= createRowStadiumPrice(document, "ddOverallCupPrice", "Allg. OFM-Pokal Eintrittspreis", null, overallPriceCup, "<font color=\"black\">OFM-Pokal:</font>");
			
			newTable.appendChild(newRowOverallLeaguePrice);
			newTable.appendChild(newRowOverallFriendlyPrice);
			newTable.appendChild(newRowOverallCupPrice);
			
			allTables[stadiumTableNo].rows[stadiumTableRow].cells[stadiumTableCol].appendChild(newTable);
			
			newRowOverallLeaguePrice.addEventListener("click", function(event){stadiumEventOverallPrice(event, "stadium.overallPriceLeague", "league")}, true);			
			newRowOverallFriendlyPrice.addEventListener("click", function(event){stadiumEventOverallPrice(event, "stadium.overallPriceFriendly", "friendly")}, true);
			newRowOverallCupPrice.addEventListener("click", function(event){stadiumEventOverallPrice(event, "stadium.overallPriceCup", "cup")}, true);
			
			newRowOverallLeaguePrice.addEventListener("keyup", function(event){stadiumEventOverallPrice(event, "stadium.overallPriceLeague", "league")}, true);			
			newRowOverallFriendlyPrice.addEventListener("keyup", function(event){stadiumEventOverallPrice(event, "stadium.overallPriceFriendly", "friendly")}, true);
			newRowOverallCupPrice.addEventListener("keyup", function(event){stadiumEventOverallPrice(event, "stadium.overallPriceCup", "cup")}, true);
		}
	} catch (e) {
		exceptionHandler(e);
	}
}

function stadiumEventOverallPrice(event, pref, block)
{
	try
	{
		var document		= event.originalTarget.ownerDocument;
		var eventTargetNode = event.target;
		var eventType 		= event.type;
		var selectedIndex;
		
		infoMessage(2, "stadiumEventOverallPrice(): " + eventType + ": " + eventTargetNode.nodeName);
		
		switch(eventType)
		{
		case "keyup":
			if(eventTargetNode.nodeName == "SELECT")
			{
				selectedIndex = eventTargetNode.selectedIndex;
			}
			break;
		case "click":
			if(eventTargetNode.nodeName == "OPTION")
			{
				selectedIndex = eventTargetNode.index;
			}
			break;
		default:
			break;
		}
		
		infoMessage(2, "stadiumEventOverallPrice(): value: " + selectedIndex);			
		
		if(selectedIndex>=0)
		{
			var newBlockCore;
			
			for(var i=1; i<5; i++)
			{
				switch (block) 
				{
					case "league":
						newBlockCore = "block" + i;
						break;
					case "friendly":
						newBlockCore = "block" + i + "fr";
						break;
					case "cup":
						newBlockCore = "block" + i + "pok";
						break;
				}
				document.getElementsByName(newBlockCore)[0].options[selectedIndex].selected = true;
			}

			prefBranchOFMFunctionSettings.set(pref, selectedIndex.toString());
		}
	} catch (e) {
		exceptionHandler(e);
	}
}

function createDropDownPrice(document, dropdownId, dropdownTooltip, dropdownOnchange, dropdownDefault)
{
	try
	{
		infoMessage(2, "createDropDownPrice(): started");
		var dropdownMax = 69;
		var newSelect = createDropdown(document, dropdownId, null, "forminput_60px", "{width:50px;}", dropdownTooltip, dropdownOnchange);
		for(var i=1;i<=dropdownMax;i++)
		{
			var newOption = document.createElement('option');
			newOption.text = i + " \u20ac";
			newSelect.add(newOption, null);
		}
		if(dropdownDefault<dropdownMax)
		{
			newSelect.options[dropdownDefault].defaultSelected = true;
		}
		return newSelect;
	} catch (e) {
		exceptionHandler(e);
	}
}

function createRowStadiumPrice(document, selectId, selectTooltip, selectedOnchange, selectDefault, label)
{
	try
	{
		infoMessage(2, "createRowStadiumPrice(): started");
		
		var newRow 				= createRow(document, null, null);
		var newCellLabel 		= createCell(document, null, null, null, label, null, "minitext");
		var newCellDropdown 	= createCell(document, null, null, null, null, null, null);
		var newSelect 			= createDropDownPrice(document, selectId, selectTooltip, selectedOnchange, selectDefault);
		var newInput			= createElement(document, "input", "hidden" + selectId, null, null, null, null, null);
		newInput.setAttribute("type", "hidden");
		
		newCellDropdown.appendChild(newSelect);
		newCellDropdown.appendChild(newInput);

		newRow.appendChild(newCellLabel);
		newRow.appendChild(newCellDropdown);
		
		return newRow;
	} catch (e) {
		exceptionHandler(e);
	}
}